Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class AnzeigeZelle

    java.lang.Object
      java.awt.Component
          AnzeigeZelle

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

    public class AnzeigeZelle

extends java.awt.Component

Anzeigeobjekte für eine Zelle

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AnzeigeZelle(Zelle zelle)`

Method Summary
`void` | `computeSize()`
`java.lang.String` | `getLabel()` liefert den Anzeigestring der Zelle
`java.awt.Dimension` | `getMinimumSize()` limitiert die Breite der Zelle
`java.awt.Dimension` | `getPreferredSize()` limitiert die Breite der Zelle
`java.lang.String` | `getSymName()` liefert den symbolischen Namen der Zelle (hier nur Adresse)
`Zelle` | `getZelle()` Zurückliefern der Zelle
`boolean` | `isMarkiert()` liefert, ob eine Zelle markiert ist
`void` | `paint(java.awt.Graphics g)` Neuzeichnen einer Zelle
`void` | `schalteMarkierung(boolean markiere)` Umschalten der Markierung der Zelle
`void` | `setMarkierung(boolean m)` Setzen der Markierung der Zelle
`void` | `setSymName(java.lang.String name)` setzt den symbolischen Namen der Zelle (hier nur Adresse)
`void` | `setZelle(Zelle zelle)` Zuweisung einer Zelle zur Anzeige
`void` | `update(java.awt.Graphics g)` Neuzeichnen einer Zelle

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnzeigeZelle

    public AnzeigeZelle(Zelle zelle)

Method Detail

### setZelle

    public void setZelle(Zelle zelle)

  Zuweisung einer Zelle zur Anzeige

### getZelle

    public Zelle getZelle()

  Zurückliefern der Zelle

### schalteMarkierung

    public void schalteMarkierung(boolean markiere)

  Umschalten der Markierung der Zelle

### setMarkierung

    public void setMarkierung(boolean m)

  Setzen der Markierung der Zelle

### isMarkiert

    public boolean isMarkiert()

  liefert, ob eine Zelle markiert ist

### getLabel

    public java.lang.String getLabel()

  liefert den Anzeigestring der Zelle

### setSymName

    public void setSymName(java.lang.String name)

  setzt den symbolischen Namen der Zelle (hier nur Adresse)

### getSymName

    public java.lang.String getSymName()

  liefert den symbolischen Namen der Zelle (hier nur Adresse)

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  limitiert die Breite der Zelle

  Overrides:
    `getPreferredSize` in class `java.awt.Component`

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  limitiert die Breite der Zelle

  Overrides:
    `getMinimumSize` in class `java.awt.Component`

### update

    public void update(java.awt.Graphics g)

  Neuzeichnen einer Zelle

  Overrides:
    `update` in class `java.awt.Component`

### paint

    public void paint(java.awt.Graphics g)

  Neuzeichnen einer Zelle

  Overrides:
    `paint` in class `java.awt.Component`

### computeSize

    public void computeSize()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD